# ReflectionEnum::hasCase

(PHP 8 >= 8.1.0)

ReflectionEnum::hasCase — Checks for a case on an Enum

### Beschreibung

public ReflectionEnum::hasCase(string `$name`): bool

Determines if a given case is defined on an Enum.

### Parameter-Liste

`name`

  The case to check for.

### Rückgabewerte

`true` if the case is defined, `false` if not.

### Beispiele

Beispiel #1 ReflectionEnum::hasCase() example

`<?php
enum Suit
{
case Hearts;
case Diamonds;
case Clubs;
case Spades;
}
$rEnum = new ReflectionEnum(Suit::class);
var_dump($rEnum->hasCase('Hearts'));
var_dump($rEnum->hasCase('Horseshoes'));
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    bool(true)
    bool(false)

### Siehe auch

- Enumerations
- ReflectionEnum::getCase() - Returns a specific case of an Enum
- ReflectionEnum::getCases() - Returns a list of all cases on an Enum

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open